User account creation filtered due to spam.

Bug 7982 - [3.2/3.3 regression] core dump due to recursive definition (using stl set)
Summary: [3.2/3.3 regression] core dump due to recursive definition (using stl set)
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: c++ (show other bugs)
Version: unknown
: P1 critical
Target Milestone: ---
Assignee: Kriang Lerdsuwanakij
URL:
Keywords: ice-on-valid-code
Depends on:
Blocks:
 
Reported: 2002-09-19 16:56 UTC by jolly
Modified: 2003-07-25 17:33 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments
bug.C (138 bytes, application/octet-stream)
2003-05-21 15:16 UTC, jolly
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jolly 2002-09-19 16:56:00 UTC
Reading specs from /usr/local/lib/gcc-lib/i686-pc-linux-gnu/3.2/specs
Configured with: ../gcc-3.2/configure 
Thread model: posix
gcc version 3.2

g++ -c bug.C
bug.C:10: internal error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://www.gnu.org/software/gcc/bugs.html> for instructions.

Release:
unknown

Environment:
Linux redhat 7.3

How-To-Repeat:
gcc -c bug.C
Comment 1 jolly 2002-09-19 16:56:00 UTC
Fix:
replace typename set<T> with 
typename std::set<T>

???
Comment 2 Kriang Lerdsuwanakij 2002-09-28 07:08:52 UTC
State-Changed-From-To: open->analyzed
State-Changed-Why: Confirmed.
Comment 3 Kriang Lerdsuwanakij 2003-02-21 16:28:43 UTC
Responsible-Changed-From-To: unassigned->lerdsuwa
Responsible-Changed-Why: Will propose a fix to this bug.
Comment 4 Kriang Lerdsuwanakij 2003-02-23 14:10:50 UTC
From: lerdsuwa@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: c++/7982
Date: 23 Feb 2003 14:10:50 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Changes by:	lerdsuwa@gcc.gnu.org	2003-02-23 14:10:50
 
 Modified files:
 	gcc/testsuite  : ChangeLog 
 Added files:
 	gcc/testsuite/g++.dg/warn: implicit-typename1.C 
 
 Log message:
 	PR c++/7982
 	* g++.dg/warn/implicit-typename1.C: New test.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/ChangeLog.diff?cvsroot=gcc&r1=1.2437&r2=1.2438
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/g++.dg/warn/implicit-typename1.C.diff?cvsroot=gcc&r1=NONE&r2=1.1
 

Comment 5 Kriang Lerdsuwanakij 2003-02-23 14:19:48 UTC
From: lerdsuwa@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: c++/7982
Date: 23 Feb 2003 14:19:48 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Branch: 	gcc-3_3-branch
 Changes by:	lerdsuwa@gcc.gnu.org	2003-02-23 14:19:48
 
 Modified files:
 	gcc/testsuite  : ChangeLog 
 	gcc/cp         : ChangeLog decl.c 
 Added files:
 	gcc/testsuite/g++.dg/warn: implicit-typename1.C 
 
 Log message:
 	PR c++/7982
 	* decl.c (warn_about_implicit_typename_lookup): Handle TYPEOF_TYPE.
 	
 	* g++.dg/warn/implicit-typename1.C: New test.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.2261.2.61&r2=1.2261.2.62
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/g++.dg/warn/implicit-typename1.C.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=NONE&r2=1.1.2.1
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/cp/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.3076.2.44&r2=1.3076.2.45
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/cp/decl.c.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.965.2.15&r2=1.965.2.16
 
Comment 6 Kriang Lerdsuwanakij 2003-02-23 14:49:02 UTC
From: lerdsuwa@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: c++/7982
Date: 23 Feb 2003 14:49:02 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Branch: 	gcc-3_2-branch
 Changes by:	lerdsuwa@gcc.gnu.org	2003-02-23 14:49:02
 
 Modified files:
 	gcc/testsuite  : ChangeLog 
 	gcc/cp         : ChangeLog decl.c 
 Added files:
 	gcc/testsuite/g++.dg/warn: implicit-typename1.C 
 
 Log message:
 	PR c++/7982
 	* decl.c (warn_about_implicit_typename_lookup): Handle TYPEOF_TYPE.
 	
 	* g++.dg/warn/implicit-typename1.C: New test.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=1.1672.2.166.2.97&r2=1.1672.2.166.2.98
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/g++.dg/warn/implicit-typename1.C.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=NONE&r2=1.1.4.1
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/cp/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=1.2685.2.114.2.65&r2=1.2685.2.114.2.66
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/cp/decl.c.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=1.866.2.36.2.15&r2=1.866.2.36.2.16
Comment 7 Kriang Lerdsuwanakij 2003-02-23 14:54:19 UTC
State-Changed-From-To: analyzed->closed
State-Changed-Why: Fixed.